"use strict";
exports.__esModule = true;
exports.FieldCaption = void 0;
var tslib_1 = require("tslib");
// @ts-nocheck
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var bem_1 = require("../../utils/bem");
var PropsWithAsAttributes_1 = require("../../utils/types/PropsWithAsAttributes");
var Typography_1 = require("../Typography");
var cnFieldCaption = (0, bem_1.cn)('FieldCaption');
exports.FieldCaption = (0, PropsWithAsAttributes_1.forwardRefWithAs)(function (props, ref) {
    var status = props.status, children = props.children, className = props.className, otherProps = (0, tslib_1.__rest)(props, ["status", "children", "className"]);
    return (react_1["default"].createElement(Typography_1.Typography.Text, (0, tslib_1.__assign)({ view: status || 'secondary', className: cnFieldCaption(null, [className]) }, otherProps, { ref: ref, size: "s" }), children));
});
